summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMikle Kolyada <zlogene@gentoo.org>2019-11-04 20:15:18 +0300
committerMikle Kolyada <zlogene@gentoo.org>2019-11-04 20:16:22 +0300
commit6efe7ddfffde2e80eaa19100afe6ca17689d4586 (patch)
treeb18481328b80a0f35af603aea9caaca2004ef67d
parentnet-misc/l7-protocols: remove old version (diff)
downloadgentoo-6efe7ddfffde2e80eaa19100afe6ca17689d4586.tar.gz
gentoo-6efe7ddfffde2e80eaa19100afe6ca17689d4586.tar.bz2
gentoo-6efe7ddfffde2e80eaa19100afe6ca17689d4586.zip
dev-tex/luatex: port to EAPI=7
Package-Manager: Portage-2.3.76, Repoman-2.3.16 Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
-rw-r--r--dev-tex/luatex/files/poppler018.patch4
-rw-r--r--dev-tex/luatex/files/poppler022.patch4
-rw-r--r--dev-tex/luatex/files/poppler026-backport.patch8
-rw-r--r--dev-tex/luatex/files/poppler026.patch8
-rw-r--r--dev-tex/luatex/files/remove-zlib-version-check.patch4
-rw-r--r--dev-tex/luatex/luatex-0.70.1-r3.ebuild (renamed from dev-tex/luatex/luatex-0.70.1-r2.ebuild)49
-rw-r--r--dev-tex/luatex/luatex-0.76.0-r1.ebuild (renamed from dev-tex/luatex/luatex-0.76.0.ebuild)29
7 files changed, 56 insertions, 50 deletions
diff --git a/dev-tex/luatex/files/poppler018.patch b/dev-tex/luatex/files/poppler018.patch
index d21253853db..0fd55a29671 100644
--- a/dev-tex/luatex/files/poppler018.patch
+++ b/dev-tex/luatex/files/poppler018.patch
@@ -2,8 +2,8 @@ by Martin von Gagern
https://bugs.gentoo.org/show_bug.cgi?id=384875
http://thread.gmane.org/gmane.comp.tex.luatex/2630
---- luatex-beta-0.70.1/source/texk/web2c/luatexdir/lua/lepdflib.cc
-+++ luatex-beta-0.70.1/source/texk/web2c/luatexdir/lua/lepdflib.cc
+--- a/texk/web2c/luatexdir/lua/lepdflib.cc
++++ b/texk/web2c/luatexdir/lua/lepdflib.cc
@@ -89,7 +89,6 @@ new_poppler_userdata(AnnotBorder);
new_poppler_userdata(Annots);
new_poppler_userdata(Array);
diff --git a/dev-tex/luatex/files/poppler022.patch b/dev-tex/luatex/files/poppler022.patch
index 223cbcb2745..75d07b75189 100644
--- a/dev-tex/luatex/files/poppler022.patch
+++ b/dev-tex/luatex/files/poppler022.patch
@@ -5,8 +5,8 @@ poppler-0.18.patch and poppler-0.20.patch. Here to solve bug 449538.
diff -ruN luatex-beta-0.70.1.gentoo/source/texk/web2c/luatexdir/lua/lepdflib.cc
luatex-beta-0.70.1/source/texk/web2c/luatexdir/lua/lepdflib.cc
---- luatex-beta-0.70.1.gentoo/source/texk/web2c/luatexdir/lua/lepdflib.cc 2013-03-10 13:31:22.000000000 +0100
-+++ luatex-beta-0.70.1/source/texk/web2c/luatexdir/lua/lepdflib.cc 2013-03-10 13:47:24.000000000 +0100
+--- a/texk/web2c/luatexdir/lua/lepdflib.cc 2013-03-10 13:31:22.000000000 +0100
++++ b/texk/web2c/luatexdir/lua/lepdflib.cc 2013-03-10 13:47:24.000000000 +0100
@@ -1,7 +1,7 @@
/* lepdflib.cc
diff --git a/dev-tex/luatex/files/poppler026-backport.patch b/dev-tex/luatex/files/poppler026-backport.patch
index ee151a30b47..a32d3e96120 100644
--- a/dev-tex/luatex/files/poppler026-backport.patch
+++ b/dev-tex/luatex/files/poppler026-backport.patch
@@ -1,6 +1,6 @@
diff -ruN luatex-beta-0.70.1.patched.orig/source/texk/web2c/luatexdir/image/epdf.h luatex-beta-0.70.1.patched/source/texk/web2c/luatexdir/image/epdf.h
---- luatex-beta-0.70.1.patched.orig/source/texk/web2c/luatexdir/image/epdf.h 2011-05-19 07:38:37.000000000 +0200
-+++ luatex-beta-0.70.1.patched/source/texk/web2c/luatexdir/image/epdf.h 2014-10-11 12:17:00.028331243 +0200
+--- a/texk/web2c/luatexdir/image/epdf.h 2011-05-19 07:38:37.000000000 +0200
++++ b/texk/web2c/luatexdir/image/epdf.h 2014-10-11 12:17:00.028331243 +0200
@@ -33,6 +33,7 @@
# include <sys/stat.h>
# include <dirent.h>
@@ -10,8 +10,8 @@ diff -ruN luatex-beta-0.70.1.patched.orig/source/texk/web2c/luatexdir/image/epdf
# include <goo/gmem.h>
# include <goo/gfile.h>
diff -ruN luatex-beta-0.70.1.patched.orig/source/texk/web2c/luatexdir/lua/lepdflib.cc luatex-beta-0.70.1.patched/source/texk/web2c/luatexdir/lua/lepdflib.cc
---- luatex-beta-0.70.1.patched.orig/source/texk/web2c/luatexdir/lua/lepdflib.cc 2014-10-11 12:24:52.509357663 +0200
-+++ luatex-beta-0.70.1.patched/source/texk/web2c/luatexdir/lua/lepdflib.cc 2014-10-11 12:42:03.665415321 +0200
+--- a/texk/web2c/luatexdir/lua/lepdflib.cc 2014-10-11 12:24:52.509357663 +0200
++++ b/texk/web2c/luatexdir/lua/lepdflib.cc 2014-10-11 12:42:03.665415321 +0200
@@ -48,23 +48,24 @@
//**********************************************************************
diff --git a/dev-tex/luatex/files/poppler026.patch b/dev-tex/luatex/files/poppler026.patch
index f7b5ba35b48..c09ff05e109 100644
--- a/dev-tex/luatex/files/poppler026.patch
+++ b/dev-tex/luatex/files/poppler026.patch
@@ -4,8 +4,8 @@ http://cvsweb.de.netbsd.org/cgi-bin/cvsweb.cgi/pkgsrc/print/luatex/patches/
diff -ruN luatex-beta-0.76.0.orig/source/texk/web2c/luatexdir/image/epdf.h luatex-beta-0.76.0/source/texk/web2c/luatexdir/image/epdf.h
---- luatex-beta-0.76.0.orig/source/texk/web2c/luatexdir/image/epdf.h 2013-04-05 12:58:37.000000000 +0200
-+++ luatex-beta-0.76.0/source/texk/web2c/luatexdir/image/epdf.h 2014-05-01 01:39:39.838462783 +0200
+--- a/texk/web2c/luatexdir/image/epdf.h 2013-04-05 12:58:37.000000000 +0200
++++ b/texk/web2c/luatexdir/image/epdf.h 2014-05-01 01:39:39.838462783 +0200
@@ -37,6 +37,7 @@
# include <sys/stat.h>
# include <dirent.h>
@@ -15,8 +15,8 @@ diff -ruN luatex-beta-0.76.0.orig/source/texk/web2c/luatexdir/image/epdf.h luate
# include <goo/gmem.h>
# include <goo/gfile.h>
diff -ruN luatex-beta-0.76.0.orig/source/texk/web2c/luatexdir/lua/lepdflib.cc luatex-beta-0.76.0/source/texk/web2c/luatexdir/lua/lepdflib.cc
---- luatex-beta-0.76.0.orig/source/texk/web2c/luatexdir/lua/lepdflib.cc 2013-04-05 12:58:37.000000000 +0200
-+++ luatex-beta-0.76.0/source/texk/web2c/luatexdir/lua/lepdflib.cc 2014-05-01 01:40:15.698461067 +0200
+--- a/texk/web2c/luatexdir/lua/lepdflib.cc 2013-04-05 12:58:37.000000000 +0200
++++ b/texk/web2c/luatexdir/lua/lepdflib.cc 2014-05-01 01:40:15.698461067 +0200
@@ -48,25 +48,26 @@
//**********************************************************************
diff --git a/dev-tex/luatex/files/remove-zlib-version-check.patch b/dev-tex/luatex/files/remove-zlib-version-check.patch
index 98508501251..f3f21a595a0 100644
--- a/dev-tex/luatex/files/remove-zlib-version-check.patch
+++ b/dev-tex/luatex/files/remove-zlib-version-check.patch
@@ -4,8 +4,8 @@ needless rebuilds after every zlib update. By Ulrich Müller.
https://bugs.gentoo.org/show_bug.cgi?id=310487
http://www.ntg.nl/pipermail/dev-luatex/2012-July/004534.html
---- luatex-beta-0.70.1-orig/source/texk/web2c/luatexdir/luazlib/lzlib.c
-+++ luatex-beta-0.70.1/source/texk/web2c/luatexdir/luazlib/lzlib.c
+--- a/texk/web2c/luatexdir/luazlib/lzlib.c
++++ b/texk/web2c/luatexdir/luazlib/lzlib.c
@@ -549,14 +549,6 @@
/* ====================================================================== */
diff --git a/dev-tex/luatex/luatex-0.70.1-r2.ebuild b/dev-tex/luatex/luatex-0.70.1-r3.ebuild
index 18bf55c9d0b..b06166bb98e 100644
--- a/dev-tex/luatex/luatex-0.70.1-r2.ebuild
+++ b/dev-tex/luatex/luatex-0.70.1-r3.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=7
-inherit libtool eutils flag-o-matic texlive-common
+inherit flag-o-matic libtool texlive-common
DESCRIPTION="An extended version of pdfTeX using Lua as an embedded scripting language"
HOMEPAGE="http://www.luatex.org/"
@@ -18,10 +18,12 @@ IUSE="doc"
RDEPEND="dev-libs/zziplib
>=media-libs/libpng-1.4
app-text/poppler:=[xpdf-headers(+)]
- sys-libs/zlib
+ sys-libs/zlib:*
>=dev-libs/kpathsea-6.0.1_p20110627"
-DEPEND="${RDEPEND}
- virtual/pkgconfig"
+
+DEPEND="${RDEPEND}"
+
+BDEPEND="virtual/pkgconfig"
S="${WORKDIR}/${PN}-beta-${PV}/source"
PRELIBS="libs/obsdcompat"
@@ -29,12 +31,13 @@ PRELIBS="libs/obsdcompat"
#kpathsea_extraconf="--disable-shared --disable-largefile"
src_prepare() {
- has_version '>=app-text/poppler-0.18.0:0' && epatch "${FILESDIR}/poppler018.patch"
- has_version '>=app-text/poppler-0.20.0:0' && epatch "${FILESDIR}/poppler020.patch"
- has_version '>=app-text/poppler-0.22.0:0' && epatch "${FILESDIR}/poppler022.patch"
- has_version '>=app-text/poppler-0.26.0:0' && epatch "${FILESDIR}/poppler026-backport.patch"
+ default
+ has_version '>=app-text/poppler-0.18.0:0' && eapply "${FILESDIR}/poppler018.patch"
+ has_version '>=app-text/poppler-0.20.0:0' && eapply "${FILESDIR}/poppler020.patch"
+ has_version '>=app-text/poppler-0.22.0:0' && eapply "${FILESDIR}/poppler022.patch"
+ has_version '>=app-text/poppler-0.26.0:0' && eapply "${FILESDIR}/poppler026-backport.patch"
has_version '>=app-text/poppler-0.57.0:0' && append-cxxflags -std=c++11 # bug 627538
- epatch "${FILESDIR}/kpathsea2012.patch" \
+ eapply "${FILESDIR}/kpathsea2012.patch" \
"${FILESDIR}/remove-zlib-version-check.patch"
S="${S}/build-aux" elibtoolize --shallow
}
@@ -49,7 +52,7 @@ src_configure() {
myconf=""
#has_version '>=app-text/texlive-core-2009' && myconf="--with-system-kpathsea"
- cd "${S}/texk/web2c"
+ cd "${S}/texk/web2c" || die
econf \
--disable-cxx-runtime-hack \
--disable-all-pkgs \
@@ -81,7 +84,7 @@ src_configure() {
local j=$(basename $i)_extraconf
local myconf
eval myconf=\${$j}
- cd "${S}/${i}"
+ cd "${S}/${i}" || die
econf ${myconf}
done
}
@@ -89,23 +92,23 @@ src_configure() {
src_compile() {
texk/web2c/luatexdir/getluatexsvnversion.sh || die
for i in ${PRELIBS} ; do
- cd "${S}/${i}"
- emake || die "failed to build ${i}"
+ cd "${S}/${i}" || die
+ emake
done
- cd "${WORKDIR}/${PN}-beta-${PV}/source/texk/web2c"
- emake luatex || die "failed to build luatex"
+ cd "${WORKDIR}/${PN}-beta-${PV}/source/texk/web2c" || die
+ emake luatex
}
src_install() {
- cd "${WORKDIR}/${PN}-beta-${PV}/source/texk/web2c"
+ cd "${WORKDIR}/${PN}-beta-${PV}/source/texk/web2c" || die
emake DESTDIR="${D}" bin_PROGRAMS="luatex" SUBDIRS="" nodist_man_MANS="" \
- install-exec-am || die
+ install-exec-am
- dodoc "${WORKDIR}/${PN}-beta-${PV}/README" || die
- doman "${WORKDIR}/texmf/doc/man/man1/"*.1 || die
+ dodoc "${WORKDIR}/${PN}-beta-${PV}/README"
+ doman "${WORKDIR}/texmf/doc/man/man1/"*.1
if use doc ; then
- dodoc "${WORKDIR}/${PN}-beta-${PV}/manual/"*.pdf || die
- dodoc "${WORKDIR}/texmf/doc/man/man1/"*.pdf || die
+ dodoc "${WORKDIR}/${PN}-beta-${PV}/manual/"*.pdf
+ dodoc "${WORKDIR}/texmf/doc/man/man1/"*.pdf
fi
}
diff --git a/dev-tex/luatex/luatex-0.76.0.ebuild b/dev-tex/luatex/luatex-0.76.0-r1.ebuild
index 3b6d960b74c..cb38d3df2de 100644
--- a/dev-tex/luatex/luatex-0.76.0.ebuild
+++ b/dev-tex/luatex/luatex-0.76.0-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=7
-inherit libtool eutils flag-o-matic texlive-common
+inherit libtool flag-o-matic texlive-common
MY_P=${PN}-beta-${PV}
DESCRIPTION="An extended version of pdfTeX using Lua as an embedded scripting language"
@@ -22,17 +22,20 @@ RDEPEND="dev-libs/zziplib
>=x11-libs/cairo-1.12
>x11-libs/pixman-0.18
app-text/poppler:=[xpdf-headers(+)]
- sys-libs/zlib
+ sys-libs/zlib:*
>=dev-libs/kpathsea-6.1.0_p20120701"
-DEPEND="${RDEPEND}
- virtual/pkgconfig"
+
+DEPEND="${RDEPEND}"
+
+BDEPEND="virtual/pkgconfig"
S="${WORKDIR}/${MY_P}/source"
src_prepare() {
- has_version '>=app-text/poppler-0.26.0:0' && epatch "${FILESDIR}/poppler026.patch"
+ default
+ has_version '>=app-text/poppler-0.26.0:0' && eapply "${FILESDIR}/poppler026.patch"
has_version '>=app-text/poppler-0.57.0:0' && append-cxxflags -std=c++11 # bug 627538
- epatch "${FILESDIR}/remove-zlib-version-check.patch" \
+ eapply "${FILESDIR}/remove-zlib-version-check.patch" \
"${FILESDIR}/includes.patch"
S="${S}/build-aux" elibtoolize --shallow
}
@@ -43,7 +46,7 @@ src_configure() {
# So we set LC_ALL to C in order to avoid problems.
export LC_ALL=C
- cd "${S}/texk/web2c"
+ cd "${S}/texk/web2c" || die
econf \
--disable-cxx-runtime-hack \
--disable-all-pkgs \
@@ -76,18 +79,18 @@ src_configure() {
src_compile() {
texk/web2c/luatexdir/getluatexsvnversion.sh || die
- cd "${WORKDIR}/${MY_P}/source/texk/web2c"
+ cd "${WORKDIR}/${MY_P}/source/texk/web2c" || die
emake luatex
}
src_install() {
- cd "${WORKDIR}/${MY_P}/source/texk/web2c"
+ cd "${WORKDIR}/${MY_P}/source/texk/web2c" || die
emake DESTDIR="${D}" bin_PROGRAMS="luatex" SUBDIRS="" nodist_man_MANS="" \
install-exec-am
dodoc "${WORKDIR}/${MY_P}/README" luatexdir/NEWS
- cp source/texk/web2c/man
- cp man/luatex.man "${T}/luatex.1"
+ cp source/texk/web2c/man || die
+ cp man/luatex.man "${T}/luatex.1" || die
doman "${T}/luatex.1"
use doc && dodoc "${WORKDIR}/${MY_P}/manual/"*.pdf
}